extends "test.gd"

var description = "get_node() where only one child with $"

# `$` is reserved to classes extending `Node`, but `test.gd` doesn't extend that
class MyNode extends Node:
	var ITERATIONS
	func execute():
		for i in range(0, ITERATIONS):
			$GetNodeTest.position.x = randf()

var _my_node

func setup():
	var root = tree_root
	_my_node = MyNode.new()
	_my_node.ITERATIONS = ITERATIONS
	root.add_child(_my_node)
	root = _my_node

	var node = Node2D.new()
	node.set_name("GetNodeTest")
	root.add_child(node)


func execute():
	_my_node.execute()
